## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Force out of source build
%undefine __cmake_in_source_build
%global         soversion 1.13.0

Name:           partio
Version:        1.19.0
Release:        %autorelease
Summary:        Library for manipulating common animation particle

License:        BSD-3-Clause-Modification
URL:            https://github.com/wdas/%{name}
Source:         %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
# Disabled due to failure to get name
#BuildRequires:  help2man
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glut)
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  swig

%description
C++ (with python bindings) library for easily reading/writing/manipulating 
common animation particle formats such as PDB, BGEO, PTC.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
%{summary}

%package        libs
Summary:        Core %{name} libraries

%description    libs
C++ (with python bindings) library for easily reading/writing/manipulating 
common animation particle formats such as PDB, BGEO, PTC.

%package -n python3-%{name}
Summary:        %{summary}
BuildRequires:  pkgconfig(python3)

%description -n python3-%{name} 
The python3-%{name} contains Python 3 binning for the library.

%prep
%autosetup -p1

# Fix all Python shebangs recursively in .
%py3_shebang_fix .

%build
%cmake \
 -DCMAKE_PREFIX_PATH=%{_prefix} \
 -DCXXFLAGS_STD=c++17
%cmake_build

%install
%cmake_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

#Remove files from unversioned python directory
rm -f %{buildroot}%{_libdir}/python/site-packages/*.py

#Remove all tests containing arch-dependant binaries
rm -rf %{buildroot}%{_datadir}/%{name}/test

%files
%license LICENSE
%doc README.md
%{_bindir}/part{attr,convert,edit,info,inspect,json,view}
%{_datadir}/swig/%{name}.i      

%files devel
%{_includedir}/Partio{,Attribute,Iterator,Vec3}.h
%{_libdir}/lib%{name}.so

%files doc
%doc %{_defaultdocdir}/%{name}/html

%files libs
%license LICENSE
%{_libdir}/lib%{name}.so.{1,%{soversion}}

%files -n python3-%{name}
%{python3_sitearch}/_%{name}.so
%pycached %{python3_sitearch}/*.py

%changelog
## START: Generated by rpmautospec
* Mon Apr 21 2025 Luya Tshimbalanga <luya@fedoraproject.org> - 1.19.0-1
- Update to 1.19.0 (rhbz#2342739)

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.17.3-2
- Rebuilt for Python 3.13

* Mon Mar 18 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.17.3-1
- Update to partio 1.17.3 (rhbz#2267492)

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 05 2023 Luya Tshimbalanga <luya@fedoraproject.org> - 1.17.1-1
- Update to 1.17.1 (rhbz#2219201)

* Mon Jul 03 2023 Luya Tshimbalanga <luya@fedoraproject.org> - 1.17.0-1
- Update to 1.17.0 (rhbz#2219201)

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.14.6-7
- Rebuilt for Python 3.12

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Luya Tshimbalanga <luya@fedoraproject.org> - 1.14.6-5
- Migrate to SPDX license

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.14.6-3
- Rebuilt for Python 3.11

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Sep 11 2021 Luya Tshimbalanga <luya@fedoraproject.org> - 1.14.6-1
- Update to 1.14.6 (#2003318)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.14.0-3
- Rebuilt for Python 3.10

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 08 2020 Luya Tshimbalanga <luya@fedoraproject.org> - 1.14.0-1
- Update to 1.14.0 (#1905289) Drop support of EOL Fedora 31

* Sat Dec 05 2020 Luya Tshimbalanga <luya@fedoraproject.org> - 1.13.2-1
- Update to 1.13.2 (#1903815) Fix changelog date and incorrect versioning

* Mon Sep 14 2020 Luya Tshimbalanga <luya@fedoraproject.org> - 1.13.0-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
